Post Reply

[Q] Nexus Q apk?

OP gdi2290

19th July 2012, 06:13 AM   |  #31  
Junior Member
Thanks Meter: 0
 
13 posts
Join Date:Joined: Sep 2009
Quote:
Originally Posted by bobukcat

Oops, I bet I uploaded the one that hasn't been signed and aligned as that's the error I was getting before figuring out how to use apkmulti-tools to sign it and then zipalign it. Try the one attached here and let me know if it works please.

Quote:
Originally Posted by Uxorious

Sweet! That worked - thanks!

Hmm setback.
Now that Google officially released Music 606, I wanted to install Q support on my wife's phone.
It's a T-Mobile G2x running Android 2.3.4.
When using RootExplorer (it's not rooted, but thats file file manager I have) to install the APK, it says:
"Parse error. There is a problem parsing the package".

Any ideas?
19th July 2012, 01:05 PM   |  #32  
Member
Thanks Meter: 7
 
54 posts
Join Date:Joined: May 2010
That apk probably calls for JellyBean in the manifest just like the Nexus Q one did. Someone would need to change it and see if it will install properly then, if I have some time later I may give it a try.

Sent from my DROID BIONIC using xda app-developers app
23rd July 2012, 01:29 AM   |  #33  
Junior Member
Thanks Meter: 0
 
12 posts
Join Date:Joined: Feb 2011
steps to modify apk
Quote:
Originally Posted by bobukcat

Thanks again to all the people who make all the tools to enable a total NOOB like me to get this working! I expect Google to release the applications I needed tomorrow now that I have this working.

Hi, bobukcat - great to see that you have the Nexus Q app working on your ICS device - could you share how you did this?

Did you grab the APK from a JB device and somehow change the AndroidManifest.xml to < 16 and then repackage, sign, & zipalign to an apk via Eclipse, command-line or some other tools?

I have a Xoom (stingray) with ICS 4.0.4 as well as the Google Play app v 4.3.606.

On Edit
As it always happens, once I post/ask a question, I got around to figuring it out myself - I modified the minSdkVersion and targetSdkVersion to 15 (from 16) and installed on my Xoom/ICS - works great

Steps
0. I had the android sdk on my laptop and the android platform tools in my path (I'm on Win x64)
1. I grabbed the apk from a 4.1 device (adb pull path_to_nexusq.apk
2. using apktool, I expanded the apk
3. using a text editor (I like sublime text2), I changed the relevant values in the AndroidManifest.xml
4. repackaged using apk
5. signed with the android debug key (the repackaged apk needs to be signed to be installed)
6. installed by adb install
Last edited by Theme.Holo; 23rd July 2012 at 02:00 AM. Reason: figured it out :)
24th July 2012, 10:05 PM   |  #34  
Member
Thanks Meter: 7
 
54 posts
Join Date:Joined: May 2010
Quote:
Originally Posted by Uxorious

Hmm setback.
Now that Google officially released Music 606, I wanted to install Q support on my wife's phone.
It's a T-Mobile G2x running Android 2.3.4.
When using RootExplorer (it's not rooted, but thats file file manager I have) to install the APK, it says:
"Parse error. There is a problem parsing the package".

Any ideas?

I misread your post when I replied and thought you were having problems installing the Music app version 606. When I modified the manifest in the nexusq.apk I only changed it back to SDK version 15 (ICS) so it won't install on anything older than ICS (4.0). If I have time tomorrow I can try to change it to 13 (I think that's GB but I will double check) and rebuild, zipalign and sign it again and see if it works on my OG Droid that's collecting dust on the corner of my desk. Seeing as how the Q is supposed to start shipping in the next week though I really expect Goog to drop a new version with support for the older versions onto the Play Store.
26th July 2012, 01:34 AM   |  #35  
Junior Member
Thanks Meter: 6
 
24 posts
Join Date:Joined: Dec 2010
It's all gone! Google update it and I tested running on a 2.3.5 device with no problem!

Sent from my Galaxy Nexus using xda app-developers app
30th September 2012, 07:17 PM   |  #36  
Junior Member
Thanks Meter: 1
 
6 posts
Join Date:Joined: Dec 2010
worked perfectly on my Nexus 7.
Quote:
Originally Posted by gdi2290

glad to hear it actually works. I had my friend try it out on his G2x with no luck so I wasn't sure

Thanks bud. This worked perfectly on my Nexus 7. I have yet to try on my Galaxy Nexus.

Most appreciated.
22nd January 2013, 08:06 PM   |  #37  
alphanimal's Avatar
Member
Flag Lower Austria
Thanks Meter: 0
 
77 posts
Join Date:Joined: Jun 2007
More
Can anyone upload the .apk for the current official version of the Nexus Q app?

I got a Nexus Q today to play around with. Strangely it was in original sealed packaging, but was already set to french and configured by somebody else. Hard reset made it work.

Since I'm in Austria I cannot download the app from play store. Can somebody upload the .apk?

Thanks!
22nd January 2013, 08:31 PM   |  #38  
Member
Thanks Meter: 7
 
54 posts
Join Date:Joined: May 2010
Quote:
Originally Posted by alphanimal

Can anyone upload the .apk for the current official version of the Nexus Q app?

I got a Nexus Q today to play around with. Strangely it was in original sealed packaging, but was already set to french and configured by somebody else. Hard reset made it work.

Since I'm in Austria I cannot download the app from play store. Can somebody upload the .apk?

Thanks!

Here's the Nexus Q Apk from my Razr MAXX HD running 4.2.1.
Attached Files
File Type: apk NexusQ.apk - [Click for QR Code] (5.68 MB, 205 views)
The Following User Says Thank You to bobukcat For This Useful Post: [ View ]
23rd January 2013, 03:46 AM   |  #39  
alphanimal's Avatar
Member
Flag Lower Austria
Thanks Meter: 0
 
77 posts
Join Date:Joined: Jun 2007
More
Thanks!
24th February 2013, 01:42 AM   |  #40  
monkey77's Avatar
Junior Member
Thanks Meter: 0
 
1 posts
Join Date:Joined: Apr 2012
More
Thumbs up
Quote:
Originally Posted by bobukcat

Oops, I bet I uploaded the one that hasn't been signed and aligned as that's the error I was getting before figuring out how to use apkmulti-tools to sign it and then zipalign it. Try the one attached here and let me know if it works please.

Thanks

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes